View Issue Details

IDProjectCategoryView StatusLast Update
0002682PartDesignBugpublic2017-03-21 11:27
ReporternemesisAssigned Tojnxd 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformApple, HPOSOsx el capitan/ Windows 7 64bitOS Version10.11.6 / seven
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002682: constraint to external datum plane disappear after saving a file, or re-opening a sketch
Descriptionsee description here
http://forum.freecadweb.org/viewtopic.php?f=3&t=17126&p=135374#p135374
Steps To Reproducecreate a datum plane
create a sketch with external geometry constraint
close the sketch
re-open the sketch
constraints are gone.
Additional Informationit seems that constraint completely disappear from one computer.os to another (in my case from Windows to OS X)

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8291 (Git)
Build type: Release
Branch: master
Hash: 94f07c85ee99c9cc94e144245fb97bedd0a38771
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0
-------------------
OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8293 (Git)
Build type: Release
Branch: (detached from 51e23d8)
Hash: 51e23d854e59ab0a23a9ea9b19e74e5f02753d82
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.0.0
TagsPart Design, Sketch

Relationships

related to 0002859 closedDeepSOIC unable to use datum plane as external reference 

Activities

2016-08-25 21:02nemesisNew Issue
2016-08-25 21:02nemesisFile Added: test_sketch.FCStd
2016-08-25 21:06nemesisTag Attached: Sketch
2016-08-25 21:06nemesisTag Attached: Part Design

nemesis

2016-08-25 21:02

reporter  

test_sketch.FCStd (15,122 bytes)

nemesis

2016-08-29 21:15

reporter   ~0007298

Last edited: 2016-08-29 21:15

View 2 revisions

nothing else than this in the terminal while editing the sketch:

FreeCAD 0.17, Libs: 0.17R8293 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

Coin warning in cc_glglue_instance(): Error when setting up the GL context. This can happen if there is no current context, or if the context has been set up incorrectly.
Can't find Origin for "Part"
Can't find Origin for "Part"
Can't find Origin for "Body"
Can't find Origin for "Body"

2016-08-29 21:15nemesisNote Edited: 0007298View Revisions
2017-01-15 14:17Kunda1Relationship addedrelated to 0002859
2017-03-10 01:50Kunda1Statusnew => confirmed
2017-03-10 01:50Kunda1Target Version => 0.17
2017-03-10 01:50Kunda1Product Version => 0.17
2017-03-18 19:07jnxdAssigned To => jnxd
2017-03-18 19:07jnxdStatusconfirmed => assigned

nemesis

2017-03-20 20:24

reporter   ~0008665

Updated Example File With :

OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10519 (Git)
Build type: Release
Branch: (detached from e3d5584)
Hash: e3d55841065cc22b32eda7ff53a648698c748562
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

SketchExternalRefOnPlane.FCStd (10,120 bytes)
2017-03-20 20:24nemesisFile Added: SketchExternalRefOnPlane.FCStd
2017-03-21 11:21wmayerChangeset attached => FreeCAD master 7bdcfb0a
2017-03-21 11:27wmayerStatusassigned => closed
2017-03-21 11:27wmayerResolutionopen => fixed
2017-03-21 11:27wmayerFixed in Version => 0.17

Related Changesets

FreeCAD: master 7bdcfb0a

2017-03-20 14:14:45

AjinkyaDahale


Committer: wmayer Details Diff
Issue 0002682

Modifying a check in SketchObject::validateExternalLinks() for datums.
Hopefully will not cause trouble.
There is still a problem where if the check fails, all constraints will
be lost!
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File

Issue History

Date Modified Username Field Change
2016-08-25 21:02 nemesis New Issue
2016-08-25 21:02 nemesis File Added: test_sketch.FCStd
2016-08-25 21:06 nemesis Tag Attached: Sketch
2016-08-25 21:06 nemesis Tag Attached: Part Design
2016-08-29 21:15 nemesis Note Added: 0007298
2016-08-29 21:15 nemesis Note Edited: 0007298 View Revisions
2017-01-15 14:17 Kunda1 Relationship added related to 0002859
2017-03-10 01:50 Kunda1 Status new => confirmed
2017-03-10 01:50 Kunda1 Target Version => 0.17
2017-03-10 01:50 Kunda1 Product Version => 0.17
2017-03-18 19:07 jnxd Assigned To => jnxd
2017-03-18 19:07 jnxd Status confirmed => assigned
2017-03-20 20:24 nemesis File Added: SketchExternalRefOnPlane.FCStd
2017-03-20 20:24 nemesis Note Added: 0008665
2017-03-21 11:21 wmayer Changeset attached => FreeCAD master 7bdcfb0a
2017-03-21 11:27 wmayer Status assigned => closed
2017-03-21 11:27 wmayer Resolution open => fixed
2017-03-21 11:27 wmayer Fixed in Version => 0.17